#include <iostream>
#include <string>
using namespace std;


int main(int argc, char** argv) {
	
	int t=0;
	string a;
	cin>>a;
	int broj [a.length()];
	

	for(int i=0;i<= a.length() - 1;i++){
		
		broj[i] = stoi(a.substr(i,1));	
	
	}
	
	for (int i = 0; i<= a.length() - 1;i++){
		
		
		while (broj[i] > 0){
			
			while(broj[i] - 5>=0){
				
				
				broj[i] = broj[i]-5;
				t++;
			
			}
			
				while(broj[i] - 2>=0){
				
				
				broj[i] = broj[i]-2;
				t++;
				
			}
			
			while(broj[i] - 1>=0){
				
				
				broj[i] = broj[i]-1;
				t++;
			}
			
			
		}
		
	
	
	} 
	cout<<t;
	
	
	return 0;
}